
call graph profile:
          The sum of self and descendents is the major sort
          for this listing.

          function entries:

index     the index of the function in the call graph
          listing, as an aid to locating it (see below).

%time     the percentage of the total time of the program
          accounted for by this function and its
          descendents.

self      the number of seconds spent in this function
          itself.

descendents
          the number of seconds spent in the descendents of
          this function on behalf of this function.

called    the number of times this function is called (other
          than recursive calls).

self      the number of times this function calls itself
          recursively.

name      the name of the function, with an indication of
          its membership in a cycle, if any.

index     the index of the function in the call graph
          listing, as an aid to locating it.



          parent listings:

self*     the number of seconds of this function's self time
          which is due to calls from this parent.

descendents*
          the number of seconds of this function's
          descendent time which is due to calls from this
          parent.

called**  the number of times this function is called by
          this parent.  This is the numerator of the
          fraction which divides up the function's time to
          its parents.

total*    the number of times this function was called by
          all of its parents.  This is the denominator of
          the propagation fraction.

parents   the name of this parent, with an indication of the
          parent's membership in a cycle, if any.

index     the index of this parent in the call graph
          listing, as an aid in locating it.



          children listings:

self*     the number of seconds of this child's self time
          which is due to being called by this function.

descendent*
          the number of seconds of this child's descendent's
          time which is due to being called by this
          function.

called**  the number of times this child is called by this
          function.  This is the numerator of the
          propagation fraction for this child.

total*    the number of times this child is called by all
          functions.  This is the denominator of the
          propagation fraction.

children  the name of this child, and an indication of its
          membership in a cycle, if any.

index     the index of this child in the call graph listing,
          as an aid to locating it.



          * these fields are omitted for parents (or
          children) in the same cycle as the function.  If
          the function (or child) is a member of a cycle,
          the propagated times and propagation denominator
          represent the self time and descendent time of the
          cycle as a whole.

          ** static-only parents and children are indicated
          by a call count of 0.



          cycle listings:
          the cycle as a whole is listed with the same
          fields as a function entry.  Below it are listed
          the members of the cycle, and their contributions
          to the time and call counts of the cycle.

ngranularity: Each sample hit covers 4 bytes. Time: 3.89 seconds

                                  called/total       parents 
index  %time    self descendents  called+self    name    	index
                                  called/total       children

                0.10        2.94       4/4           .__start [2]
[1]     78.1    0.10        2.94       4         .main [1]
                2.94        0.00 1250000/1250000     .isprime [3]

-----------------------------------------------

6.6s                                               <spontaneous>
[2]     78.1    0.00        3.04                 .__start [2]
                0.10        2.94       4/4           .main [1]

-----------------------------------------------

                2.94        0.00 1250000/1250000     .main [1]
[3]     75.6    2.94        0.00 1250000         .isprime [3]

-----------------------------------------------

6.6s                                               <spontaneous>
[4]      4.4    0.17        0.00                 .sqrt [4]

-----------------------------------------------

6.6s                                               <spontaneous>
[5]      3.3    0.13        0.00                 .MPI_Wtick.GL [5]

-----------------------------------------------

6.6s                                               <spontaneous>
[6]      3.3    0.13        0.00                 .__mcount [6]

-----------------------------------------------

6.6s                                               <spontaneous>
[7]      3.1    0.12        0.00                 .memset [7]

-----------------------------------------------

6.6s                                               <spontaneous>
[8]      1.8    0.07        0.00                 .qincrement [8]

-----------------------------------------------

6.6s                                               <spontaneous>
[9]      1.5    0.06        0.00                 .fp_raise_xcp.GL [9]

-----------------------------------------------

6.6s                                               <spontaneous>
[10]     0.8    0.03        0.00                 .kickpipes [10]

-----------------------------------------------

6.6s                                               <spontaneous>
[11]     0.5    0.02        0.00                 .__mcount [11]

-----------------------------------------------

6.6s                                               <spontaneous>
[12]     0.5    0.02        0.00                 .strcmp [12]

-----------------------------------------------

                0.00        0.00       1/622         .MPI__Wtick [40]
                0.00        0.00       4/622         .MPI__Comm_rank [37]
                0.00        0.00       4/622         .MPI__Comm_size [38]
                0.00        0.00       4/622         .MPI(int) [36]
                0.00        0.00       4/622         .mpci_open [39]
                0.00        0.00       5/622         .MPI__Wtime [35]
                0.00        0.00       8/622         .MPI__Reduce [33]
                0.00        0.00       8/622         .halInterruptRoutine [34]
                0.00        0.00      12/622         .is_data_there [30]
                0.00        0.00      44/622         .mpci_recv [29]
                0.00        0.00      44/622         .halTimerRoutine [28]
                0.01        0.00     484/622         .tsd_gettsdp [27]
[13]     0.3    0.01        0.00     622         .pthread_getspecific [13]

-----------------------------------------------

                0.00        0.00      12/496         .is_data_there [30]
                0.01        0.00     484/496         .odmErrno [25]
[14]     0.3    0.01        0.00     496         .pthread_once [14]
                0.00        0.00       8/22          .pthread_mutex_lock [69]
                0.00        0.00       8/230         ._cleanup_push [50]
                0.00        0.00       8/226         ._cleanup_pop [51]
                0.00        0.00       8/22          .pthread_mutex_unlock [70]

-----------------------------------------------

                0.00        0.00       4/108         .Walk_Lib(libDesc*,int,ld_info**,int*,int&) [31]
                0.01        0.00     104/108         .grab_orig_libs(PFVSTR*) [26]
[15]     0.3    0.01        0.00     108         .search_for_cdtors(libDesc*) [15]

-----------------------------------------------

                0.00        0.01       4/4           .dlopen [21]
[16]     0.3    0.00        0.01       4         .loadAndInit [16]
                0.00        0.01       4/4           .grab_orig_libs(PFVSTR*) [26]
                0.00        0.00       4/4           .load_libs(char*,int(*)(),char*) [32]
                0.00        0.00      20/776         .doPrintDebug() [44]

-----------------------------------------------

6.6s                                               <spontaneous>
[17]     0.3    0.01        0.00                 .MAO_malloc [17]

-----------------------------------------------

6.6s                                               <spontaneous>
[18]     0.3    0.01        0.00                 ._ptrgl [18]

-----------------------------------------------

6.6s                                               <spontaneous>
[19]     0.3    0.01        0.00                 .alloc_buddies [19]

-----------------------------------------------

6.6s                                               <spontaneous>
[20]     0.3    0.01        0.00                 .call_pthread_init [20]

-----------------------------------------------

6.6s                                               <spontaneous>
[21]     0.3    0.00        0.01                 .dlopen [21]
                0.00        0.01       4/4           .loadAndInit [16]

-----------------------------------------------

6.6s                                               <spontaneous>
[22]     0.3    0.01        0.00                 .malloc_y [22]

-----------------------------------------------

6.6s                                               <spontaneous>
[23]     0.3    0.01        0.00                 .mpci_connect [23]
                0.00        0.00       8/16          .pthread_mutex_init [75]
                0.00        0.00       8/28          .pthread_cond_init [64]
                0.00        0.00       4/4           .pthread_attr_init [164]
                0.00        0.00       4/4           .pthread_attr_setstacksize [167]
                0.00        0.00       4/4           .pthread_attr_setdetachstate [165]
                0.00        0.00       4/4           .pthread_attr_setscope [166]
                0.00        0.00       4/12          .pthread_atfork [80]
                0.00        0.00       4/4           .sigthreadmask [171]

-----------------------------------------------

6.6s                                               <spontaneous>
[24]     0.3    0.01        0.00                 .strcpy [24]

-----------------------------------------------

6.6s                                               <spontaneous>
[25]     0.3    0.00        0.01                 .odmErrno [25]
                0.01        0.00     484/496         .pthread_once [14]

-----------------------------------------------

                0.00        0.01       4/4           .loadAndInit [16]
[26]     0.2    0.00        0.01       4         .grab_orig_libs(PFVSTR*) [26]
                0.01        0.00     104/108         .search_for_cdtors(libDesc*) [15]
                0.00        0.00     200/776         .doPrintDebug() [44]
                0.00        0.00     104/108         .libDesc::getLib() [55]
                0.00        0.00       8/8           .initialize_one_library(volatile libDesc*) [121]
                0.00        0.00       4/8           .libDesc::get_info() [122]
                0.00        0.00       4/8           .count_libs(ld_info*) [120]
                0.00        0.00       4/8           .libDesc::grow(int) [123]

-----------------------------------------------

6.6s                                               <spontaneous>
[27]     0.2    0.00        0.01                 .tsd_gettsdp [27]
                0.01        0.00     484/622         .pthread_getspecific [13]

-----------------------------------------------

6.6s                                               <spontaneous>
[28]     0.0    0.00        0.00                 .halTimerRoutine [28]
                0.00        0.00      44/622         .pthread_getspecific [13]

-----------------------------------------------

6.6s                                               <spontaneous>
[29]     0.0    0.00        0.00                 .mpci_recv [29]
                0.00        0.00      44/622         .pthread_getspecific [13]

-----------------------------------------------

6.6s                                               <spontaneous>
[30]     0.0    0.00        0.00                 .is_data_there [30]
                0.00        0.00      12/496         .pthread_once [14]
                0.00        0.00      12/622         .pthread_getspecific [13]
                0.00        0.00       4/70          .pthread_setspecific [58]

-----------------------------------------------

                0.00        0.00       4/4           .load_libs(char*,int(*)(),char*) [32]
[31]     0.0    0.00        0.00       4         .Walk_Lib(libDesc*,int,ld_info**,int*,int&) [31]
                0.00        0.00       4/108         .search_for_cdtors(libDesc*) [15]
                0.00        0.00      16/20          .search_for_lib(ld_info*) [73]
                0.00        0.00      16/16          .seen_lib(int,int*) [76]

-----------------------------------------------

                0.00        0.00       4/4           .loadAndInit [16]
[32]     0.0    0.00        0.00       4         .load_libs(char*,int(*)(),char*) [32]
                0.00        0.00       4/4           .Walk_Lib(libDesc*,int,ld_info**,int*,int&) [31]
                0.00        0.00       4/8           .libDesc::get_info() [122]
                0.00        0.00       4/8           .count_libs(ld_info*) [120]
                0.00        0.00       4/8           .libDesc::grow(int) [123]
                0.00        0.00       4/20          .search_for_lib(ld_info*) [73]
                0.00        0.00       4/108         .libDesc::getLib() [55]
                0.00        0.00       4/4           .initialize_libs(int* const,const int) [163]

-----------------------------------------------

6.6s                                               <spontaneous>
[33]     0.0    0.00        0.00                 .MPI__Reduce [33]
                0.00        0.00       8/622         .pthread_getspecific [13]
                0.00        0.00      16/70          .pthread_setspecific [58]

-----------------------------------------------

6.6s                                               <spontaneous>
[34]     0.0    0.00        0.00                 .halInterruptRoutine [34]
                0.00        0.00       8/622         .pthread_getspecific [13]
                0.00        0.00       4/22          .pthread_mutex_lock [69]
                0.00        0.00       4/2020        .pthread_self [41]
                0.00        0.00       4/28          .pthread_cond_init [64]
                0.00        0.00       4/70          .pthread_setspecific [58]
                0.00        0.00       4/22          .pthread_mutex_unlock [70]

-----------------------------------------------

6.6s                                               <spontaneous>
[35]     0.0    0.00        0.00                 .MPI__Wtime [35]
                0.00        0.00       5/622         .pthread_getspecific [13]
                0.00        0.00       5/70          .pthread_setspecific [58]

-----------------------------------------------

6.6s                                               <spontaneous>
[36]     0.0    0.00        0.00                 .MPI(int) [36]
                0.00        0.00       4/622         .pthread_getspecific [13]
                0.00        0.00       8/70          .pthread_setspecific [58]

-----------------------------------------------

6.6s                                               <spontaneous>
[37]     0.0    0.00        0.00                 .MPI__Comm_rank [37]
                0.00        0.00       4/622         .pthread_getspecific [13]
                0.00        0.00       8/70          .pthread_setspecific [58]

-----------------------------------------------

6.6s                                               <spontaneous>
[38]     0.0    0.00        0.00                 .MPI__Comm_size [38]
                0.00        0.00       4/622         .pthread_getspecific [13]
                0.00        0.00       8/70          .pthread_setspecific [58]

-----------------------------------------------

6.6s                                               <spontaneous>
[39]     0.0    0.00        0.00                 .mpci_open [39]
                0.00        0.00       4/622         .pthread_getspecific [13]
                0.00        0.00       4/16          .pthread_key_create [74]
                0.00        0.00       4/22          .pthread_mutex_lock [69]
                0.00        0.00       4/2020        .pthread_self [41]
                0.00        0.00       4/28          .pthread_cond_init [64]
                0.00        0.00       4/70          .pthread_setspecific [58]
                0.00        0.00       4/22          .pthread_mutex_unlock [70]
                0.00        0.00       4/12          .pthread_atfork [80]
                0.00        0.00       4/4           .pthread_setscope_np [169]

-----------------------------------------------

6.6s                                               <spontaneous>
[40]     0.0    0.00        0.00                 .MPI__Wtick [40]
                0.00        0.00       1/622         .pthread_getspecific [13]
                0.00        0.00       1/70          .pthread_setspecific [58]

-----------------------------------------------

                0.00        0.00       4/2020        .MPI__Init [1361]
                0.00        0.00       4/2020        .halInterruptRoutine [34]
                0.00        0.00       4/2020        .mpci_open [39]
                0.00        0.00       9/2020        ._rec_mutex_trylock [3760]
                0.00        0.00     997/2020        ._rec_mutex_lock [3757]
                0.00        0.00    1002/2020        ._rec_mutex_unlock [3761]
[41]     0.0    0.00        0.00    2020         .pthread_self [41]

-----------------------------------------------

                0.00        0.00    2004/2004        .qs1 [7693]
[42]     0.0    0.00        0.00    2004         .cmpaddrs(const void*,const void*) [42]

-----------------------------------------------

                0.00        0.00      16/1610        .open_clxn [7186]
                0.00        0.00      16/1610        .moncontrol [6759]
                0.00        0.00      20/1610        ._findbuf [3177]
                0.00        0.00      20/1610        .catopen [4389]
                0.00        0.00      24/1610        .odm_open_class [7146]
                0.00        0.00      24/1610        .catgets [4380]
                0.00        0.00      36/1610        ._endopen [3134]
                0.00        0.00      56/1610        .isatty [6168]
                0.00        0.00      72/1610        .dup2 [4959]
                0.00        0.00      88/1610        .__ioctl [2491]
                0.00        0.00     146/1610        .__fcntl [2310]
                0.00        0.00    1092/1610        .nsleep [7069]
[43]     0.0    0.00        0.00    1610         ._lib_geterrno_addr [43]

-----------------------------------------------

                0.00        0.00       4/776         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2funix_2frs6000_2fload_2eC(int) [144]
                0.00        0.00       8/776         .libDesc::get_info() [122]
                0.00        0.00      12/776         .libDesc::grow(int) [123]
                0.00        0.00      16/776         .initialize_one_library(volatile libDesc*) [121]
                0.00        0.00      16/776         .count_libs(ld_info*) [120]
                0.00        0.00      20/776         .loadAndInit [16]
                0.00        0.00      48/776         .findAndPrintFcn(void(*)()) [60]
                0.00        0.00     200/776         .grab_orig_libs(PFVSTR*) [26]
                0.00        0.00     452/776         .search_for_lib(ld_info*) [73]
[44]     0.0    0.00        0.00     776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00     546/546         .nsleep [7069]
[45]     0.0    0.00        0.00     546         ._p_nsleep [45]

-----------------------------------------------

                0.00        0.00     364/364         .qs1 [7693]
[46]     0.0    0.00        0.00     364         .cmpinfos(const void*,const void*) [46]

-----------------------------------------------

                0.00        0.00     332/332         .qs2 [7694]
[47]     0.0    0.00        0.00     332         .PrioFcn2(const int*,const int*) [47]

-----------------------------------------------

                0.00        0.00       4/324         .std::ios_base::Init::Init() [181]
                0.00        0.00       4/324         .std::_Winit::~_Winit() [173]
                0.00        0.00       4/324         .std::_Winit::_Winit() [172]
                0.00        0.00       4/324         .std::ios_base::Init::~Init() [182]
                0.00        0.00      12/324         .std::basic_streambuf<char,std::char_traits<char> >::~basic_streambuf() [101]
                0.00        0.00      12/324         .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]
                0.00        0.00      12/324         .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
                0.00        0.00      12/324         .std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >::~basic_streambuf() [102]
                0.00        0.00      12/324         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]
                0.00        0.00      12/324         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
                0.00        0.00      28/324         .std::locale::~locale() [65]
                0.00        0.00      32/324         .std::ios_base::~ios_base() [63]
                0.00        0.00      32/324         .std::ios_base::_Init() [61]
                0.00        0.00      64/324         .std::ios_base::_Addstd() [59]
                0.00        0.00      80/324         .std::locale::_Init() [56]
[48]     0.0    0.00        0.00     324         .std::_Lockit::_Lockit(int) [48]

-----------------------------------------------

                0.00        0.00       4/324         .std::ios_base::Init::Init() [181]
                0.00        0.00       4/324         .std::_Winit::~_Winit() [173]
                0.00        0.00       4/324         .std::_Winit::_Winit() [172]
                0.00        0.00       4/324         .std::ios_base::Init::~Init() [182]
                0.00        0.00      12/324         .std::basic_streambuf<char,std::char_traits<char> >::~basic_streambuf() [101]
                0.00        0.00      12/324         .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]
                0.00        0.00      12/324         .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
                0.00        0.00      12/324         .std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >::~basic_streambuf() [102]
                0.00        0.00      12/324         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]
                0.00        0.00      12/324         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
                0.00        0.00      28/324         .std::locale::~locale() [65]
                0.00        0.00      32/324         .std::ios_base::~ios_base() [63]
                0.00        0.00      32/324         .std::ios_base::_Init() [61]
                0.00        0.00      64/324         .std::ios_base::_Addstd() [59]
                0.00        0.00      80/324         .std::locale::_Init() [56]
[49]     0.0    0.00        0.00     324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00       8/230         .pthread_once [14]
                0.00        0.00     222/230         .pthread_cleanup_push [52]
[50]     0.0    0.00        0.00     230         ._cleanup_push [50]

-----------------------------------------------

                0.00        0.00       8/226         .pthread_once [14]
                0.00        0.00     218/226         .pthread_cleanup_pop [53]
[51]     0.0    0.00        0.00     226         ._cleanup_pop [51]

-----------------------------------------------

                0.00        0.00       1/222         .catclose [4373]
                0.00        0.00       4/222         .exit [5092]
                0.00        0.00       4/222         .printf [7472]
                0.00        0.00       5/222         .fclose [5158]
                0.00        0.00       5/222         .catopen [4389]
                0.00        0.00       6/222         .catgets [4380]
                0.00        0.00       8/222         .odm_terminate [7160]
                0.00        0.00       8/222         .odm_initialize [7141]
                0.00        0.00       8/222         .load1 [6508]
                0.00        0.00      12/222         .odm_open_class [7146]
                0.00        0.00      12/222         .odm_mount_class [7145]
                0.00        0.00      12/222         .odm_close_class [7125]
                0.00        0.00      16/222         .odm_set_path [7156]
                0.00        0.00      16/222         .odm_get_obj [7140]
                0.00        0.00      16/222         .odm_get_first [7133]
                0.00        0.00      18/222         .fwrite [5496]
                0.00        0.00      21/222         .fseeko [5431]
                0.00        0.00      24/222         .fflush [5184]
                0.00        0.00      26/222         .fread [5374]
[52]     0.0    0.00        0.00     222         .pthread_cleanup_push [52]
                0.00        0.00     222/230         ._cleanup_push [50]

-----------------------------------------------

                0.00        0.00       1/218         .catclose [4373]
                0.00        0.00       4/218         .printf [7472]
                0.00        0.00       5/218         .fclose [5158]
                0.00        0.00       5/218         .catopen [4389]
                0.00        0.00       6/218         .catgets [4380]
                0.00        0.00       8/218         .odm_terminate [7160]
                0.00        0.00       8/218         .odm_initialize [7141]
                0.00        0.00       8/218         .load1 [6508]
                0.00        0.00      12/218         .odm_open_class [7146]
                0.00        0.00      12/218         .odm_mount_class [7145]
                0.00        0.00      12/218         .odm_close_class [7125]
                0.00        0.00      16/218         .odm_set_path [7156]
                0.00        0.00      16/218         .odm_get_obj [7140]
                0.00        0.00      16/218         .odm_get_first [7133]
                0.00        0.00      18/218         .fwrite [5496]
                0.00        0.00      21/218         .fseeko [5431]
                0.00        0.00      24/218         .fflush [5184]
                0.00        0.00      26/218         .fread [5374]
[53]     0.0    0.00        0.00     218         .pthread_cleanup_pop [53]
                0.00        0.00     218/226         ._cleanup_pop [51]

-----------------------------------------------

                0.00        0.00       4/132         .std::locale::_Init() [56]
                0.00        0.00      12/132         .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]
                0.00        0.00      12/132         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]
                0.00        0.00      16/132         .Iostream_init::Iostream_init() [611]
                0.00        0.00      28/132         .std::ios_base::Init::Init() [181]
                0.00        0.00      28/132         .std::_Winit::_Winit() [172]
                0.00        0.00      32/132         .std::ios_base::_Init() [61]
[54]     0.0    0.00        0.00     132         .operator new(unsigned long,void*) [54]

-----------------------------------------------

                0.00        0.00       4/108         .load_libs(char*,int(*)(),char*) [32]
                0.00        0.00     104/108         .grab_orig_libs(PFVSTR*) [26]
[55]     0.0    0.00        0.00     108         .libDesc::getLib() [55]

-----------------------------------------------

                0.00        0.00      12/80          .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]
                0.00        0.00      12/80          .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
                0.00        0.00      12/80          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]
                0.00        0.00      12/80          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
                0.00        0.00      32/80          .std::ios_base::_Init() [61]
[56]     0.0    0.00        0.00      80         .std::locale::_Init() [56]
                0.00        0.00      80/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      80/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00       4/24          .operator new(unsigned long) [68]
                0.00        0.00       4/4           .std::locale::_Locimp::_Locimp(bool) [185]
                0.00        0.00       4/132         .operator new(unsigned long,void*) [54]

-----------------------------------------------

                0.00        0.00      28/72          .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fxlocale_2ecpp() [143]
                0.00        0.00      44/72          .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fwlocale_2ecpp() [142]
[57]     0.0    0.00        0.00      72         .std::locale::id::id(unsigned long) [57]

-----------------------------------------------

                0.00        0.00       1/70          .MPI__Wtick [40]
                0.00        0.00       4/70          .is_data_there [30]
                0.00        0.00       4/70          .halInterruptRoutine [34]
                0.00        0.00       4/70          .mpci_open [39]
                0.00        0.00       5/70          .MPI__Wtime [35]
                0.00        0.00       8/70          .MPI__Comm_rank [37]
                0.00        0.00       8/70          .MPI__Comm_size [38]
                0.00        0.00       8/70          .MPI(int) [36]
                0.00        0.00      12/70          .MPI__Init [1361]
                0.00        0.00      16/70          .MPI__Reduce [33]
[58]     0.0    0.00        0.00      70         .pthread_setspecific [58]

-----------------------------------------------

                0.00        0.00       4/64          .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool,bool) [178]
                0.00        0.00       4/64          .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::basic_streambuf<char,std::char_traits<char> >*,bool,bool) [175]
                0.00        0.00       4/64          .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::_Uninitialized) [174]
                0.00        0.00       4/64          .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::_Uninitialized) [177]
                0.00        0.00      12/64          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool) [99]
                0.00        0.00      12/64          .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::basic_streambuf<char,std::char_traits<char> >*,bool) [96]
                0.00        0.00      12/64          .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::_Uninitialized) [95]
                0.00        0.00      12/64          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::_Uninitialized) [98]
[59]     0.0    0.00        0.00      64         .std::ios_base::_Addstd() [59]
                0.00        0.00      64/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      64/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00      48/48          .initialize_one_library(volatile libDesc*) [121]
[60]     0.0    0.00        0.00      48         .findAndPrintFcn(void(*)()) [60]
                0.00        0.00      48/776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00       4/32          .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool,bool) [178]
                0.00        0.00       4/32          .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::basic_streambuf<char,std::char_traits<char> >*,bool,bool) [175]
                0.00        0.00      12/32          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool) [99]
                0.00        0.00      12/32          .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::basic_streambuf<char,std::char_traits<char> >*,bool) [96]
[61]     0.0    0.00        0.00      32         .std::ios_base::_Init() [61]
                0.00        0.00      32/132         .operator new(unsigned long,void*) [54]
                0.00        0.00      32/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      32/80          .std::locale::_Init() [56]
                0.00        0.00      32/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00      32/32          .std::ios_base::clear(int,bool) [62]

-----------------------------------------------

                0.00        0.00      32/32          .std::ios_base::_Init() [61]
[62]     0.0    0.00        0.00      32         .std::ios_base::clear(int,bool) [62]

-----------------------------------------------

                0.00        0.00      16/32          .std::basic_ios<char,std::char_traits<char> >::~basic_ios() [77]
                0.00        0.00      16/32          .std::basic_ios<wchar_t,std::char_traits<wchar_t> >::~basic_ios() [78]
[63]     0.0    0.00        0.00      32         .std::ios_base::~ios_base() [63]
                0.00        0.00      32/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      32/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00       4/4           .std::ios_base::_Tidy() [184]

-----------------------------------------------

                0.00        0.00       4/28          .MPI__Init [1361]
                0.00        0.00       4/28          ._mpi_init [3540]
                0.00        0.00       4/28          .callbackQueuesInit [4344]
                0.00        0.00       4/28          .halInterruptRoutine [34]
                0.00        0.00       4/28          .mpci_open [39]
                0.00        0.00       8/28          .mpci_connect [23]
[64]     0.0    0.00        0.00      28         .pthread_cond_init [64]

-----------------------------------------------

                0.00        0.00       4/28          .__srterm__6() [156]
                0.00        0.00      12/28          .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]
                0.00        0.00      12/28          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]
[65]     0.0    0.00        0.00      28         .std::locale::~locale() [65]
                0.00        0.00      28/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      28/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00      24/24          .qs1 [7693]
[66]     0.0    0.00        0.00      24         .PrioFcn(const int*,const int*) [66]

-----------------------------------------------

                0.00        0.00       8/24          .sigthreadmask [171]
                0.00        0.00      16/24          ._p_sigaction [113]
[67]     0.0    0.00        0.00      24         ._sigsetmask [67]

-----------------------------------------------

                0.00        0.00       4/24          .char* std::_Allocate<char>(unsigned long,char*) [162]
                0.00        0.00       4/24          .std::locale::_Init() [56]
                0.00        0.00      16/24          .Iostream_init::Iostream_init() [611]
[68]     0.0    0.00        0.00      24         .operator new(unsigned long) [68]

-----------------------------------------------

                0.00        0.00       4/22          .halInterruptRoutine [34]
                0.00        0.00       4/22          .mpci_open [39]
                0.00        0.00       6/22          .readfrompipe [7770]
                0.00        0.00       8/22          .pthread_once [14]
[69]     0.0    0.00        0.00      22         .pthread_mutex_lock [69]
                0.00        0.00      12/12          ._mutex_init [79]

-----------------------------------------------

                0.00        0.00       4/22          .halInterruptRoutine [34]
                0.00        0.00       4/22          .mpci_open [39]
                0.00        0.00       6/22          .readfrompipe [7770]
                0.00        0.00       8/22          .pthread_once [14]
[70]     0.0    0.00        0.00      22         .pthread_mutex_unlock [70]

-----------------------------------------------

                0.00        0.00      21/21          ._rec_mutex_init [3754]
[71]     0.0    0.00        0.00      21         ._lib_spinlock_create [71]
                0.00        0.00      21/21          ._spinlock_init [72]

-----------------------------------------------

                0.00        0.00      21/21          ._lib_spinlock_create [71]
[72]     0.0    0.00        0.00      21         ._spinlock_init [72]

-----------------------------------------------

                0.00        0.00       4/20          .load_libs(char*,int(*)(),char*) [32]
                0.00        0.00      16/20          .Walk_Lib(libDesc*,int,ld_info**,int*,int&) [31]
[73]     0.0    0.00        0.00      20         .search_for_lib(ld_info*) [73]
                0.00        0.00     452/776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00       4/16          .resolver_key_create [7898]
                0.00        0.00       4/16          .mpci_open [39]
                0.00        0.00       8/16          .MPI__Init [1361]
[74]     0.0    0.00        0.00      16         .pthread_key_create [74]

-----------------------------------------------

                0.00        0.00       4/16          .MPI__Init [1361]
                0.00        0.00       4/16          .callbackQueuesInit [4344]
                0.00        0.00       8/16          .mpci_connect [23]
[75]     0.0    0.00        0.00      16         .pthread_mutex_init [75]

-----------------------------------------------

                0.00        0.00      16/16          .Walk_Lib(libDesc*,int,ld_info**,int*,int&) [31]
[76]     0.0    0.00        0.00      16         .seen_lib(int,int*) [76]

-----------------------------------------------

                0.00        0.00       4/16          .std::basic_istream<char,std::char_traits<char> >::~basic_istream() [176]
                0.00        0.00      12/16          .std::basic_ostream<char,std::char_traits<char> >::~basic_ostream() [97]
[77]     0.0    0.00        0.00      16         .std::basic_ios<char,std::char_traits<char> >::~basic_ios() [77]
                0.00        0.00      16/32          .std::ios_base::~ios_base() [63]

-----------------------------------------------

                0.00        0.00       4/16          .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::~basic_istream() [179]
                0.00        0.00      12/16          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::~basic_ostream() [100]
[78]     0.0    0.00        0.00      16         .std::basic_ios<wchar_t,std::char_traits<wchar_t> >::~basic_ios() [78]
                0.00        0.00      16/32          .std::ios_base::~ios_base() [63]

-----------------------------------------------

                0.00        0.00      12/12          .pthread_mutex_lock [69]
[79]     0.0    0.00        0.00      12         ._mutex_init [79]

-----------------------------------------------

                0.00        0.00       4/12          .callbackQueuesInit [4344]
                0.00        0.00       4/12          .mpci_connect [23]
                0.00        0.00       4/12          .mpci_open [39]
[80]     0.0    0.00        0.00      12         .pthread_atfork [80]

-----------------------------------------------

                0.00        0.00      12/12          .__sinit00000162_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2flockit_2ecpp() [135]
[81]     0.0    0.00        0.00      12         .std::_Lock::_Lock() [81]

-----------------------------------------------

                0.00        0.00       4/12          .__::__srterm() [129]
                0.00        0.00       4/12          .__srterm__0() [146]
                0.00        0.00       4/12          ._::__srterm [127]
[82]     0.0    0.00        0.00      12         .std::_Lock::~_Lock() [82]

-----------------------------------------------

                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
[83]     0.0    0.00        0.00      12         .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]
                0.00        0.00      12/132         .operator new(unsigned long,void*) [54]
                0.00        0.00      12/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      12/80          .std::locale::_Init() [56]
                0.00        0.00      12/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00      12/12          .std::ios_base::Init::Init() [181]
[84]     0.0    0.00        0.00      12         .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
                0.00        0.00      12/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      12/80          .std::locale::_Init() [56]
                0.00        0.00      12/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]

-----------------------------------------------

                0.00        0.00      12/12          .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[85]     0.0    0.00        0.00      12         .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(std::_Uninitialized) [85]

-----------------------------------------------

                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::sync() [87]
[86]     0.0    0.00        0.00      12         .std::basic_filebuf<char,std::char_traits<char> >::overflow(int) [86]

-----------------------------------------------

                0.00        0.00      12/12          .std::ios_base::Init::~Init() [182]
[87]     0.0    0.00        0.00      12         .std::basic_filebuf<char,std::char_traits<char> >::sync() [87]
                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::overflow(int) [86]

-----------------------------------------------

                0.00        0.00       4/12          ._::__srterm [128]
                0.00        0.00       4/12          .__srterm__7() [157]
                0.00        0.00       4/12          .__srterm__10() [148]
[88]     0.0    0.00        0.00      12         .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]
                0.00        0.00      12/28          .std::locale::~locale() [65]
                0.00        0.00      12/12          .std::basic_streambuf<char,std::char_traits<char> >::~basic_streambuf() [101]

-----------------------------------------------

                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
[89]     0.0    0.00        0.00      12         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]
                0.00        0.00      12/132         .operator new(unsigned long,void*) [54]
                0.00        0.00      12/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      12/80          .std::locale::_Init() [56]
                0.00        0.00      12/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00      12/12          .std::_Winit::_Winit() [172]
[90]     0.0    0.00        0.00      12         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
                0.00        0.00      12/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      12/80          .std::locale::_Init() [56]
                0.00        0.00      12/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]

-----------------------------------------------

                0.00        0.00      12/12          .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[91]     0.0    0.00        0.00      12         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(std::_Uninitialized) [91]

-----------------------------------------------

                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::sync() [93]
[92]     0.0    0.00        0.00      12         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::overflow(int) [92]

-----------------------------------------------

                0.00        0.00      12/12          .std::_Winit::~_Winit() [173]
[93]     0.0    0.00        0.00      12         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::sync() [93]
                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::overflow(int) [92]

-----------------------------------------------

                0.00        0.00       4/12          .__srterm__11() [149]
                0.00        0.00       4/12          .__srterm__14() [152]
                0.00        0.00       4/12          .__F::__srterm [131]
[94]     0.0    0.00        0.00      12         .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]
                0.00        0.00      12/28          .std::locale::~locale() [65]
                0.00        0.00      12/12          .std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >::~basic_streambuf() [102]

-----------------------------------------------

                0.00        0.00      12/12          .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[95]     0.0    0.00        0.00      12         .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::_Uninitialized) [95]
                0.00        0.00      12/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00      12/12          .std::ios_base::Init::Init() [181]
[96]     0.0    0.00        0.00      12         .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::basic_streambuf<char,std::char_traits<char> >*,bool) [96]
                0.00        0.00      12/32          .std::ios_base::_Init() [61]
                0.00        0.00      12/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00       4/12          .__srterm__16() [154]
                0.00        0.00       4/12          .__srterm__15() [153]
                0.00        0.00       4/12          .__::__srterm() [130]
[97]     0.0    0.00        0.00      12         .std::basic_ostream<char,std::char_traits<char> >::~basic_ostream() [97]
                0.00        0.00      12/16          .std::basic_ios<char,std::char_traits<char> >::~basic_ios() [77]

-----------------------------------------------

                0.00        0.00      12/12          .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[98]     0.0    0.00        0.00      12         .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::_Uninitialized) [98]
                0.00        0.00      12/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00      12/12          .std::_Winit::_Winit() [172]
[99]     0.0    0.00        0.00      12         .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool) [99]
                0.00        0.00      12/32          .std::ios_base::_Init() [61]
                0.00        0.00      12/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00       4/12          .__srterm__12() [150]
                0.00        0.00       4/12          .__srterm__13() [151]
                0.00        0.00       4/12          .__srterm__9() [159]
[100]    0.0    0.00        0.00      12         .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::~basic_ostream() [100]
                0.00        0.00      12/16          .std::basic_ios<wchar_t,std::char_traits<wchar_t> >::~basic_ios() [78]

-----------------------------------------------

                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]
[101]    0.0    0.00        0.00      12         .std::basic_streambuf<char,std::char_traits<char> >::~basic_streambuf() [101]
                0.00        0.00      12/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      12/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]
[102]    0.0    0.00        0.00      12         .std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >::~basic_streambuf() [102]
                0.00        0.00      12/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00      12/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00       9/9           ._lib_spinlock_trylock [104]
[103]    0.0    0.00        0.00       9         ._global_trylock [103]

-----------------------------------------------

                0.00        0.00       9/9           ._rec_mutex_trylock [3760]
[104]    0.0    0.00        0.00       9         ._lib_spinlock_trylock [104]
                0.00        0.00       9/9           ._global_trylock [103]

-----------------------------------------------

                0.00        0.00       8/8           .pthread_create [7550]
[105]    0.0    0.00        0.00       8         ._add_pthread_link [105]

-----------------------------------------------

                0.00        0.00       8/8           .pthread_create [7550]
[106]    0.0    0.00        0.00       8         ._alloc_pthread [106]
                0.00        0.00       8/8           ._cond_init [108]
                0.00        0.00       8/8           ._get_pthread [109]
                0.00        0.00       8/8           ._vp_create [117]
                0.00        0.00       8/8           ._setspecific [115]

-----------------------------------------------

                0.00        0.00       8/8           .pthread_cond_broadcast [124]
[107]    0.0    0.00        0.00       8         ._cond_broadcast [107]

-----------------------------------------------

                0.00        0.00       8/8           ._alloc_pthread [106]
[108]    0.0    0.00        0.00       8         ._cond_init [108]

-----------------------------------------------

                0.00        0.00       8/8           ._alloc_pthread [106]
[109]    0.0    0.00        0.00       8         ._get_pthread [109]

-----------------------------------------------

                0.00        0.00       8/8           ._kernel_lock_slow [111]
[110]    0.0    0.00        0.00       8         ._global_lock_common [110]

-----------------------------------------------

                0.00        0.00       8/8           ._p_sigaction [113]
[111]    0.0    0.00        0.00       8         ._kernel_lock_slow [111]
                0.00        0.00       8/8           ._global_lock_common [110]

-----------------------------------------------

                0.00        0.00       8/8           ._p_sigaction [113]
[112]    0.0    0.00        0.00       8         ._kernel_unlock_slow [112]

-----------------------------------------------

                0.00        0.00       8/8           .sigaction [170]
[113]    0.0    0.00        0.00       8         ._p_sigaction [113]
                0.00        0.00      16/24          ._sigsetmask [67]
                0.00        0.00       8/8           ._kernel_lock_slow [111]
                0.00        0.00       8/8           ._sigaction_common [116]
                0.00        0.00       8/8           ._kernel_unlock_slow [112]

-----------------------------------------------

                0.00        0.00       8/8           .pthread_setcancelstate_np [168]
[114]    0.0    0.00        0.00       8         ._set_cancelstate [114]

-----------------------------------------------

                0.00        0.00       8/8           ._alloc_pthread [106]
[115]    0.0    0.00        0.00       8         ._setspecific [115]

-----------------------------------------------

                0.00        0.00       8/8           ._p_sigaction [113]
[116]    0.0    0.00        0.00       8         ._sigaction_common [116]

-----------------------------------------------

                0.00        0.00       8/8           ._alloc_pthread [106]
[117]    0.0    0.00        0.00       8         ._vp_create [117]
                0.00        0.00       8/8           ._vp_create_locked [118]

-----------------------------------------------

                0.00        0.00       8/8           ._vp_create [117]
[118]    0.0    0.00        0.00       8         ._vp_create_locked [118]

-----------------------------------------------

                0.00        0.00       8/8           .pthread_create [7550]
[119]    0.0    0.00        0.00       8         ._vp_start [119]

-----------------------------------------------

                0.00        0.00       4/8           .grab_orig_libs(PFVSTR*) [26]
                0.00        0.00       4/8           .load_libs(char*,int(*)(),char*) [32]
[120]    0.0    0.00        0.00       8         .count_libs(ld_info*) [120]
                0.00        0.00      16/776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00       8/8           .grab_orig_libs(PFVSTR*) [26]
[121]    0.0    0.00        0.00       8         .initialize_one_library(volatile libDesc*) [121]
                0.00        0.00      48/48          .findAndPrintFcn(void(*)()) [60]
                0.00        0.00      16/776         .doPrintDebug() [44]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2funix_2frs6000_2fload_2eC(int) [144]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fucstream_2ecpp() [139]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2flocale_2ecpp() [140]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fatexitc_2ecpp() [137]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fxlocale_2ecpp() [143]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fnew_2ecpp() [138]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fwlocale_2ecpp() [142]
                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fnomemory_2ecpp() [141]
                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
                0.00        0.00       4/4           .__sinit00000162_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2flockit_2ecpp() [135]

-----------------------------------------------

                0.00        0.00       4/8           .grab_orig_libs(PFVSTR*) [26]
                0.00        0.00       4/8           .load_libs(char*,int(*)(),char*) [32]
[122]    0.0    0.00        0.00       8         .libDesc::get_info() [122]
                0.00        0.00       8/776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00       4/8           .grab_orig_libs(PFVSTR*) [26]
                0.00        0.00       4/8           .load_libs(char*,int(*)(),char*) [32]
[123]    0.0    0.00        0.00       8         .libDesc::grow(int) [123]
                0.00        0.00      12/776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00       8/8           .get_context [5535]
[124]    0.0    0.00        0.00       8         .pthread_cond_broadcast [124]
                0.00        0.00       8/8           ._cond_broadcast [107]

-----------------------------------------------

                0.00        0.00       5/5           ._rec_mutex_free [3753]
[125]    0.0    0.00        0.00       5         ._lib_spinlock_delete [125]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[126]    0.0    0.00        0.00       4         ._::__init [126]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[127]    0.0    0.00        0.00       4         ._::__srterm [127]
                0.00        0.00       4/12          .std::_Lock::~_Lock() [82]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[128]    0.0    0.00        0.00       4         ._::__srterm [128]
                0.00        0.00       4/12          .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[129]    0.0    0.00        0.00       4         .__::__srterm() [129]
                0.00        0.00       4/12          .std::_Lock::~_Lock() [82]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[130]    0.0    0.00        0.00       4         .__::__srterm() [130]
                0.00        0.00       4/12          .std::basic_ostream<char,std::char_traits<char> >::~basic_ostream() [97]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[131]    0.0    0.00        0.00       4         .__F::__srterm [131]
                0.00        0.00       4/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[132]    0.0    0.00        0.00       4         .__Fv::__srterm [132]
                0.00        0.00       4/4           .std::_Winit::~_Winit() [173]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[133]    0.0    0.00        0.00       4         .__init__0() [133]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fnomemory_2ecpp() [141]
[134]    0.0    0.00        0.00       4         .__init__0() [134]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[135]    0.0    0.00        0.00       4         .__sinit00000162_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2flockit_2ecpp() [135]
                0.00        0.00      12/12          .std::_Lock::_Lock() [81]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[136]    0.0    0.00        0.00       4         .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(std::_Uninitialized) [85]
                0.00        0.00      12/12          .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::_Uninitialized) [95]
                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(std::_Uninitialized) [91]
                0.00        0.00      12/12          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::_Uninitialized) [98]
                0.00        0.00       4/4           .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::_Uninitialized) [174]
                0.00        0.00       4/4           .__init__0() [133]
                0.00        0.00       4/4           ._::__init [126]
                0.00        0.00       4/4           .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::_Uninitialized) [177]
                0.00        0.00       4/4           .std::ios_base::Init::Init() [181]
                0.00        0.00       4/4           .std::_Winit::_Winit() [172]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[137]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fatexitc_2ecpp() [137]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[138]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fnew_2ecpp() [138]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[139]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fucstream_2ecpp() [139]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[140]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2flocale_2ecpp() [140]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[141]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fnomemory_2ecpp() [141]
                0.00        0.00       4/4           .__init__0() [134]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[142]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fwlocale_2ecpp() [142]
                0.00        0.00      44/72          .std::locale::id::id(unsigned long) [57]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[143]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fxlocale_2ecpp() [143]
                0.00        0.00      28/72          .std::locale::id::id(unsigned long) [57]

-----------------------------------------------

                0.00        0.00       4/4           .initialize_one_library(volatile libDesc*) [121]
[144]    0.0    0.00        0.00       4         .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2funix_2frs6000_2fload_2eC(int) [144]
                0.00        0.00       4/776         .doPrintDebug() [44]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[145]    0.0    0.00        0.00       4         .__srterm__0() [145]
                0.00        0.00       4/4           .std::basic_istream<char,std::char_traits<char> >::~basic_istream() [176]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[146]    0.0    0.00        0.00       4         .__srterm__0() [146]
                0.00        0.00       4/12          .std::_Lock::~_Lock() [82]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[147]    0.0    0.00        0.00       4         .__srterm__0() [147]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[148]    0.0    0.00        0.00       4         .__srterm__10() [148]
                0.00        0.00       4/12          .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[149]    0.0    0.00        0.00       4         .__srterm__11() [149]
                0.00        0.00       4/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[150]    0.0    0.00        0.00       4         .__srterm__12() [150]
                0.00        0.00       4/12          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::~basic_ostream() [100]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[151]    0.0    0.00        0.00       4         .__srterm__13() [151]
                0.00        0.00       4/12          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::~basic_ostream() [100]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[152]    0.0    0.00        0.00       4         .__srterm__14() [152]
                0.00        0.00       4/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[153]    0.0    0.00        0.00       4         .__srterm__15() [153]
                0.00        0.00       4/12          .std::basic_ostream<char,std::char_traits<char> >::~basic_ostream() [97]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[154]    0.0    0.00        0.00       4         .__srterm__16() [154]
                0.00        0.00       4/12          .std::basic_ostream<char,std::char_traits<char> >::~basic_ostream() [97]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[155]    0.0    0.00        0.00       4         .__srterm__5() [155]
                0.00        0.00       4/4           .std::ios_base::Init::~Init() [182]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[156]    0.0    0.00        0.00       4         .__srterm__6() [156]
                0.00        0.00       4/28          .std::locale::~locale() [65]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[157]    0.0    0.00        0.00       4         .__srterm__7() [157]
                0.00        0.00       4/12          .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[158]    0.0    0.00        0.00       4         .__srterm__8() [158]
                0.00        0.00       4/4           .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::~basic_istream() [179]

-----------------------------------------------

                0.00        0.00       4/4           .exit [5092]
[159]    0.0    0.00        0.00       4         .__srterm__9() [159]
                0.00        0.00       4/12          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::~basic_ostream() [100]

-----------------------------------------------

                0.00        0.00       4/4           .pthread_exit [7556]
[160]    0.0    0.00        0.00       4         ._cleanup_unwind [160]

-----------------------------------------------

                0.00        0.00       4/4           .pthread_exit [7556]
[161]    0.0    0.00        0.00       4         ._specific_data_cleanup [161]

-----------------------------------------------

                0.00        0.00       4/4           .std::basic_string<char,std::char_traits<char>,std::allocator<char> >::_Copy(unsigned long) [180]
[162]    0.0    0.00        0.00       4         .char* std::_Allocate<char>(unsigned long,char*) [162]
                0.00        0.00       4/24          .operator new(unsigned long) [68]

-----------------------------------------------

                0.00        0.00       4/4           .load_libs(char*,int(*)(),char*) [32]
[163]    0.0    0.00        0.00       4         .initialize_libs(int* const,const int) [163]

-----------------------------------------------

                0.00        0.00       4/4           .mpci_connect [23]
[164]    0.0    0.00        0.00       4         .pthread_attr_init [164]

-----------------------------------------------

                0.00        0.00       4/4           .mpci_connect [23]
[165]    0.0    0.00        0.00       4         .pthread_attr_setdetachstate [165]

-----------------------------------------------

                0.00        0.00       4/4           .mpci_connect [23]
[166]    0.0    0.00        0.00       4         .pthread_attr_setscope [166]

-----------------------------------------------

                0.00        0.00       4/4           .mpci_connect [23]
[167]    0.0    0.00        0.00       4         .pthread_attr_setstacksize [167]

-----------------------------------------------

                0.00        0.00       4/4           .pthread_exit [7556]
[168]    0.0    0.00        0.00       4         .pthread_setcancelstate_np [168]
                0.00        0.00       8/8           ._set_cancelstate [114]

-----------------------------------------------

                0.00        0.00       4/4           .mpci_open [39]
[169]    0.0    0.00        0.00       4         .pthread_setscope_np [169]

-----------------------------------------------

                0.00        0.00       4/4           .halIntThreadStart [5902]
[170]    0.0    0.00        0.00       4         .sigaction [170]
                0.00        0.00       8/8           ._p_sigaction [113]

-----------------------------------------------

                0.00        0.00       4/4           .mpci_connect [23]
[171]    0.0    0.00        0.00       4         .sigthreadmask [171]
                0.00        0.00       8/24          ._sigsetmask [67]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[172]    0.0    0.00        0.00       4         .std::_Winit::_Winit() [172]
                0.00        0.00      28/132         .operator new(unsigned long,void*) [54]
                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
                0.00        0.00      12/12          .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool) [99]
                0.00        0.00       4/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00       4/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00       4/4           .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool,bool) [178]

-----------------------------------------------

                0.00        0.00       4/4           .__Fv::__srterm [132]
[173]    0.0    0.00        0.00       4         .std::_Winit::~_Winit() [173]
                0.00        0.00      12/12          .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::sync() [93]
                0.00        0.00       4/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00       4/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[174]    0.0    0.00        0.00       4         .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::_Uninitialized) [174]
                0.00        0.00       4/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00       4/4           .std::ios_base::Init::Init() [181]
[175]    0.0    0.00        0.00       4         .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::basic_streambuf<char,std::char_traits<char> >*,bool,bool) [175]
                0.00        0.00       4/32          .std::ios_base::_Init() [61]
                0.00        0.00       4/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00       4/4           .__srterm__0() [145]
[176]    0.0    0.00        0.00       4         .std::basic_istream<char,std::char_traits<char> >::~basic_istream() [176]
                0.00        0.00       4/16          .std::basic_ios<char,std::char_traits<char> >::~basic_ios() [77]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[177]    0.0    0.00        0.00       4         .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::_Uninitialized) [177]
                0.00        0.00       4/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00       4/4           .std::_Winit::_Winit() [172]
[178]    0.0    0.00        0.00       4         .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool,bool) [178]
                0.00        0.00       4/32          .std::ios_base::_Init() [61]
                0.00        0.00       4/64          .std::ios_base::_Addstd() [59]

-----------------------------------------------

                0.00        0.00       4/4           .__srterm__8() [158]
[179]    0.0    0.00        0.00       4         .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::~basic_istream() [179]
                0.00        0.00       4/16          .std::basic_ios<wchar_t,std::char_traits<wchar_t> >::~basic_ios() [78]

-----------------------------------------------

                0.00        0.00       4/4           .std::locale::_Locimp::_Locimp(bool) [185]
[180]    0.0    0.00        0.00       4         .std::basic_string<char,std::char_traits<char>,std::allocator<char> >::_Copy(unsigned long) [180]
                0.00        0.00       4/4           .char* std::_Allocate<char>(unsigned long,char*) [162]

-----------------------------------------------

                0.00        0.00       4/4           .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
[181]    0.0    0.00        0.00       4         .std::ios_base::Init::Init() [181]
                0.00        0.00      28/132         .operator new(unsigned long,void*) [54]
                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
                0.00        0.00      12/12          .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::basic_streambuf<char,std::char_traits<char> >*,bool) [96]
                0.00        0.00       4/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00       4/324         .std::_Lockit::~_Lockit() [49]
                0.00        0.00       4/4           .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::basic_streambuf<char,std::char_traits<char> >*,bool,bool) [175]

-----------------------------------------------

                0.00        0.00       4/4           .__srterm__5() [155]
[182]    0.0    0.00        0.00       4         .std::ios_base::Init::~Init() [182]
                0.00        0.00      12/12          .std::basic_filebuf<char,std::char_traits<char> >::sync() [87]
                0.00        0.00       4/324         .std::_Lockit::_Lockit(int) [48]
                0.00        0.00       4/324         .std::_Lockit::~_Lockit() [49]

-----------------------------------------------

                0.00        0.00       4/4           .std::ios_base::_Tidy() [184]
[183]    0.0    0.00        0.00       4         .std::ios_base::_Callfns(std::ios_base::event) [183]

-----------------------------------------------

                0.00        0.00       4/4           .std::ios_base::~ios_base() [63]
[184]    0.0    0.00        0.00       4         .std::ios_base::_Tidy() [184]
                0.00        0.00       4/4           .std::ios_base::_Callfns(std::ios_base::event) [183]

-----------------------------------------------

                0.00        0.00       4/4           .std::locale::_Init() [56]
[185]    0.0    0.00        0.00       4         .std::locale::_Locimp::_Locimp(bool) [185]
                0.00        0.00       4/4           .std::basic_string<char,std::char_traits<char>,std::allocator<char> >::_Copy(unsigned long) [180]

-----------------------------------------------



flat profile:

 %         the percentage of the total running time of the
time       program used by this function.

cumulative a running sum of the number of seconds accounted
 seconds   for by this function and those listed above it.

 self      the number of seconds accounted for by this
seconds    function alone.  This is the major sort for this
           listing.

calls      the number of times this function was invoked, if
           this function is profiled, else blank.

 self      the average number of milliseconds spent in this
ms/call    function per call, if this function is profiled,
           else blank.

 total     the average number of milliseconds spent in this
ms/call    function and its descendents per call, if this 
           function is profiled, else blank.

name       the name of the function.  This is the minor sort
           for this listing. The index shows the location of
           the function in the gprof listing. If the index is
           in parenthesis it shows where it would appear in
           the gprof listing if it were to be printed.

ngranularity: Each sample hit covers 4 bytes. Time: 3.89 seconds

  %   cumulative   self              self     total           
 time   seconds   seconds    calls  ms/call  ms/call  name    
 75.6       2.94     2.94  1250000     0.00     0.00  .isprime [3]
  4.4       3.11     0.17                             .sqrt [4]
  3.3       3.24     0.13                             .MPI_Wtick.GL [5]
  3.3       3.37     0.13                             .__mcount [6]
  3.1       3.49     0.12                             .memset [7]
  2.6       3.59     0.10        4    25.00   760.00  .main [1]
  1.8       3.66     0.07                             .qincrement [8]
  1.5       3.72     0.06                             .fp_raise_xcp.GL [9]
  0.8       3.75     0.03                             .kickpipes [10]
  0.5       3.77     0.02                             .__mcount [11]
  0.5       3.79     0.02                             .strcmp [12]
  0.3       3.80     0.01      622     0.02     0.02  .pthread_getspecific [13]
  0.3       3.81     0.01      496     0.02     0.02  .pthread_once [14]
  0.3       3.82     0.01      108     0.09     0.09  .search_for_cdtors(libDesc*) [15]
  0.3       3.83     0.01                             .MAO_malloc [17]
  0.3       3.84     0.01                             ._ptrgl [18]
  0.3       3.85     0.01                             .alloc_buddies [19]
  0.3       3.86     0.01                             .call_pthread_init [20]
  0.3       3.87     0.01                             .malloc_y [22]
  0.3       3.88     0.01                             .mpci_connect [23]
  0.3       3.89     0.01                             .strcpy [24]
  0.0       3.89     0.00     2020     0.00     0.00  .pthread_self [41]
  0.0       3.89     0.00     2004     0.00     0.00  .cmpaddrs(const void*,const void*) [42]
  0.0       3.89     0.00     1610     0.00     0.00  ._lib_geterrno_addr [43]
  0.0       3.89     0.00      776     0.00     0.00  .doPrintDebug() [44]
  0.0       3.89     0.00      546     0.00     0.00  ._p_nsleep [45]
  0.0       3.89     0.00      364     0.00     0.00  .cmpinfos(const void*,const void*) [46]
  0.0       3.89     0.00      332     0.00     0.00  .PrioFcn2(const int*,const int*) [47]
  0.0       3.89     0.00      324     0.00     0.00  .std::_Lockit::_Lockit(int) [48]
  0.0       3.89     0.00      324     0.00     0.00  .std::_Lockit::~_Lockit() [49]
  0.0       3.89     0.00      230     0.00     0.00  ._cleanup_push [50]
  0.0       3.89     0.00      226     0.00     0.00  ._cleanup_pop [51]
  0.0       3.89     0.00      222     0.00     0.00  .pthread_cleanup_push [52]
  0.0       3.89     0.00      218     0.00     0.00  .pthread_cleanup_pop [53]
  0.0       3.89     0.00      132     0.00     0.00  .operator new(unsigned long,void*) [54]
  0.0       3.89     0.00      108     0.00     0.00  .libDesc::getLib() [55]
  0.0       3.89     0.00       80     0.00     0.00  .std::locale::_Init() [56]
  0.0       3.89     0.00       72     0.00     0.00  .std::locale::id::id(unsigned long) [57]
  0.0       3.89     0.00       70     0.00     0.00  .pthread_setspecific [58]
  0.0       3.89     0.00       64     0.00     0.00  .std::ios_base::_Addstd() [59]
  0.0       3.89     0.00       48     0.00     0.00  .findAndPrintFcn(void(*)()) [60]
  0.0       3.89     0.00       32     0.00     0.00  .std::ios_base::_Init() [61]
  0.0       3.89     0.00       32     0.00     0.00  .std::ios_base::clear(int,bool) [62]
  0.0       3.89     0.00       32     0.00     0.00  .std::ios_base::~ios_base() [63]
  0.0       3.89     0.00       28     0.00     0.00  .pthread_cond_init [64]
  0.0       3.89     0.00       28     0.00     0.00  .std::locale::~locale() [65]
  0.0       3.89     0.00       24     0.00     0.00  .PrioFcn(const int*,const int*) [66]
  0.0       3.89     0.00       24     0.00     0.00  ._sigsetmask [67]
  0.0       3.89     0.00       24     0.00     0.00  .operator new(unsigned long) [68]
  0.0       3.89     0.00       22     0.00     0.00  .pthread_mutex_lock [69]
  0.0       3.89     0.00       22     0.00     0.00  .pthread_mutex_unlock [70]
  0.0       3.89     0.00       21     0.00     0.00  ._lib_spinlock_create [71]
  0.0       3.89     0.00       21     0.00     0.00  ._spinlock_init [72]
  0.0       3.89     0.00       20     0.00     0.00  .search_for_lib(ld_info*) [73]
  0.0       3.89     0.00       16     0.00     0.00  .pthread_key_create [74]
  0.0       3.89     0.00       16     0.00     0.00  .pthread_mutex_init [75]
  0.0       3.89     0.00       16     0.00     0.00  .seen_lib(int,int*) [76]
  0.0       3.89     0.00       16     0.00     0.00  .std::basic_ios<char,std::char_traits<char> >::~basic_ios() [77]
  0.0       3.89     0.00       16     0.00     0.00  .std::basic_ios<wchar_t,std::char_traits<wchar_t> >::~basic_ios() [78]
  0.0       3.89     0.00       12     0.00     0.00  ._mutex_init [79]
  0.0       3.89     0.00       12     0.00     0.00  .pthread_atfork [80]
  0.0       3.89     0.00       12     0.00     0.00  .std::_Lock::_Lock() [81]
  0.0       3.89     0.00       12     0.00     0.00  .std::_Lock::~_Lock() [82]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<char,std::char_traits<char> >::_Init(FILE*,std::basic_filebuf<char,std::char_traits<char> >::_Initfl) [83]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(FILE*) [84]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<char,std::char_traits<char> >::basic_filebuf(std::_Uninitialized) [85]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<char,std::char_traits<char> >::overflow(int) [86]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<char,std::char_traits<char> >::sync() [87]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<char,std::char_traits<char> >::~basic_filebuf() [88]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Init(FILE*,std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::_Initfl) [89]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(FILE*) [90]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::basic_filebuf(std::_Uninitialized) [91]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::overflow(int) [92]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::sync() [93]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_filebuf<wchar_t,std::char_traits<wchar_t> >::~basic_filebuf() [94]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::_Uninitialized) [95]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_ostream<char,std::char_traits<char> >::basic_ostream(std::basic_streambuf<char,std::char_traits<char> >*,bool) [96]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_ostream<char,std::char_traits<char> >::~basic_ostream() [97]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::_Uninitialized) [98]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::basic_ostream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool) [99]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_ostream<wchar_t,std::char_traits<wchar_t> >::~basic_ostream() [100]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_streambuf<char,std::char_traits<char> >::~basic_streambuf() [101]
  0.0       3.89     0.00       12     0.00     0.00  .std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >::~basic_streambuf() [102]
  0.0       3.89     0.00        9     0.00     0.00  ._global_trylock [103]
  0.0       3.89     0.00        9     0.00     0.00  ._lib_spinlock_trylock [104]
  0.0       3.89     0.00        8     0.00     0.00  ._add_pthread_link [105]
  0.0       3.89     0.00        8     0.00     0.00  ._alloc_pthread [106]
  0.0       3.89     0.00        8     0.00     0.00  ._cond_broadcast [107]
  0.0       3.89     0.00        8     0.00     0.00  ._cond_init [108]
  0.0       3.89     0.00        8     0.00     0.00  ._get_pthread [109]
  0.0       3.89     0.00        8     0.00     0.00  ._global_lock_common [110]
  0.0       3.89     0.00        8     0.00     0.00  ._kernel_lock_slow [111]
  0.0       3.89     0.00        8     0.00     0.00  ._kernel_unlock_slow [112]
  0.0       3.89     0.00        8     0.00     0.00  ._p_sigaction [113]
  0.0       3.89     0.00        8     0.00     0.00  ._set_cancelstate [114]
  0.0       3.89     0.00        8     0.00     0.00  ._setspecific [115]
  0.0       3.89     0.00        8     0.00     0.00  ._sigaction_common [116]
  0.0       3.89     0.00        8     0.00     0.00  ._vp_create [117]
  0.0       3.89     0.00        8     0.00     0.00  ._vp_create_locked [118]
  0.0       3.89     0.00        8     0.00     0.00  ._vp_start [119]
  0.0       3.89     0.00        8     0.00     0.00  .count_libs(ld_info*) [120]
  0.0       3.89     0.00        8     0.00     0.00  .initialize_one_library(volatile libDesc*) [121]
  0.0       3.89     0.00        8     0.00     0.00  .libDesc::get_info() [122]
  0.0       3.89     0.00        8     0.00     0.00  .libDesc::grow(int) [123]
  0.0       3.89     0.00        8     0.00     0.00  .pthread_cond_broadcast [124]
  0.0       3.89     0.00        5     0.00     0.00  ._lib_spinlock_delete [125]
  0.0       3.89     0.00        4     0.00     0.09  .Walk_Lib(libDesc*,int,ld_info**,int*,int&) [31]
  0.0       3.89     0.00        4     0.00     0.00  ._::__init [126]
  0.0       3.89     0.00        4     0.00     0.00  ._::__srterm [128]
  0.0       3.89     0.00        4     0.00     0.00  ._::__srterm [127]
  0.0       3.89     0.00        4     0.00     0.00  .__::__srterm() [130]
  0.0       3.89     0.00        4     0.00     0.00  .__::__srterm() [129]
  0.0       3.89     0.00        4     0.00     0.00  .__F::__srterm [131]
  0.0       3.89     0.00        4     0.00     0.00  .__Fv::__srterm [132]
  0.0       3.89     0.00        4     0.00     0.00  .__init__0() [134]
  0.0       3.89     0.00        4     0.00     0.00  .__init__0() [133]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit00000162_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2flockit_2ecpp() [135]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit00000164_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fstatics_2ecpp() [136]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fatexitc_2ecpp() [137]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fnew_2ecpp() [138]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fibmsxl_2fucstream_2ecpp() [139]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2flocale_2ecpp() [140]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fnomemory_2ecpp() [141]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fwlocale_2ecpp() [142]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2fsxl_2fxlocale_2ecpp() [143]
  0.0       3.89     0.00        4     0.00     0.00  .__sinit80000000_x_2fbuild_2ftuscany_2f502_2fC_2b_2b_2ert_2eV550_2dprod_2dopt_2fcpprt_2funix_2frs6000_2fload_2eC(int) [144]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__0() [146]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__0() [147]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__0() [145]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__10() [148]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__11() [149]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__12() [150]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__13() [151]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__14() [152]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__15() [153]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__16() [154]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__5() [155]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__6() [156]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__7() [157]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__8() [158]
  0.0       3.89     0.00        4     0.00     0.00  .__srterm__9() [159]
  0.0       3.89     0.00        4     0.00     0.00  ._cleanup_unwind [160]
  0.0       3.89     0.00        4     0.00     0.00  ._specific_data_cleanup [161]
  0.0       3.89     0.00        4     0.00     0.00  .char* std::_Allocate<char>(unsigned long,char*) [162]
  0.0       3.89     0.00        4     0.00     2.41  .grab_orig_libs(PFVSTR*) [26]
  0.0       3.89     0.00        4     0.00     0.00  .initialize_libs(int* const,const int) [163]
  0.0       3.89     0.00        4     0.00     2.50  .loadAndInit [16]
  0.0       3.89     0.00        4     0.00     0.09  .load_libs(char*,int(*)(),char*) [32]
  0.0       3.89     0.00        4     0.00     0.00  .pthread_attr_init [164]
  0.0       3.89     0.00        4     0.00     0.00  .pthread_attr_setdetachstate [165]
  0.0       3.89     0.00        4     0.00     0.00  .pthread_attr_setscope [166]
  0.0       3.89     0.00        4     0.00     0.00  .pthread_attr_setstacksize [167]
  0.0       3.89     0.00        4     0.00     0.00  .pthread_setcancelstate_np [168]
  0.0       3.89     0.00        4     0.00     0.00  .pthread_setscope_np [169]
  0.0       3.89     0.00        4     0.00     0.00  .sigaction [170]
  0.0       3.89     0.00        4     0.00     0.00  .sigthreadmask [171]
  0.0       3.89     0.00        4     0.00     0.00  .std::_Winit::_Winit() [172]
  0.0       3.89     0.00        4     0.00     0.00  .std::_Winit::~_Winit() [173]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::_Uninitialized) [174]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_istream<char,std::char_traits<char> >::basic_istream(std::basic_streambuf<char,std::char_traits<char> >*,bool,bool) [175]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_istream<char,std::char_traits<char> >::~basic_istream() [176]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::_Uninitialized) [177]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::basic_istream(std::basic_streambuf<wchar_t,std::char_traits<wchar_t> >*,bool,bool) [178]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_istream<wchar_t,std::char_traits<wchar_t> >::~basic_istream() [179]
  0.0       3.89     0.00        4     0.00     0.00  .std::basic_string<char,std::char_traits<char>,std::allocator<char> >::_Copy(unsigned long) [180]
  0.0       3.89     0.00        4     0.00     0.00  .std::ios_base::Init::Init() [181]
  0.0       3.89     0.00        4     0.00     0.00  .std::ios_base::Init::~Init() [182]
  0.0       3.89     0.00        4     0.00     0.00  .std::ios_base::_Callfns(std::ios_base::event) [183]
  0.0       3.89     0.00        4     0.00     0.00  .std::ios_base::_Tidy() [184]
  0.0       3.89     0.00        4     0.00     0.00  .std::locale::_Locimp::_Locimp(bool) [185]

Index by function name

  [17] .MAO_malloc          [79] ._mutex_init          [8] .qincrement        
   [5] .MPI_Wtick.GL        [45] ._p_nsleep           [15] .search_for_cdtors(
  [66] .PrioFcn(const int* [113] ._p_sigaction        [73] .search_for_lib(ld_
  [47] .PrioFcn2(const int  [18] ._ptrgl              [76] .seen_lib(int,int*)
  [31] .Walk_Lib(libDesc*, [114] ._set_cancelstate   [170] .sigaction         
 [126] ._::__init          [115] ._setspecific       [171] .sigthreadmask     
 [128] ._::__srterm        [116] ._sigaction_common    [4] .sqrt              
 [127] ._::__srterm         [67] ._sigsetmask         [81] .std::_Lock::_Lock(
 [130] .__::__srterm()     [161] ._specific_data_cle  [82] .std::_Lock::~_Lock
 [129] .__::__srterm()      [72] ._spinlock_init      [48] .std::_Lockit::_Loc
 [131] .__F::__srterm      [117] ._vp_create          [49] .std::_Lockit::~_Lo
 [132] .__Fv::__srterm     [118] ._vp_create_locked  [172] .std::_Winit::_Wini
 [134] .__init__0()        [119] ._vp_start          [173] .std::_Winit::~_Win
 [133] .__init__0()         [19] .alloc_buddies       [83] .std::basic_filebuf
   [6] .__mcount            [20] .call_pthread_init   [84] .std::basic_filebuf
  [11] .__mcount           [162] .char* std::_Alloca  [85] .std::basic_filebuf
 [135] .__sinit00000162_x_  [42] .cmpaddrs(const voi  [86] .std::basic_filebuf
 [136] .__sinit00000164_x_  [46] .cmpinfos(const voi  [87] .std::basic_filebuf
 [137] .__sinit80000000_x_ [120] .count_libs(ld_info  [88] .std::basic_filebuf
 [138] .__sinit80000000_x_  [44] .doPrintDebug()      [89] .std::basic_filebuf
 [139] .__sinit80000000_x_  [60] .findAndPrintFcn(vo  [90] .std::basic_filebuf
 [140] .__sinit80000000_x_   [9] .fp_raise_xcp.GL     [91] .std::basic_filebuf
 [141] .__sinit80000000_x_  [26] .grab_orig_libs(PFV  [92] .std::basic_filebuf
 [142] .__sinit80000000_x_ [163] .initialize_libs(in  [93] .std::basic_filebuf
 [143] .__sinit80000000_x_ [121] .initialize_one_lib  [94] .std::basic_filebuf
 [144] .__sinit80000000_x_   [3] .isprime             [77] .std::basic_ios<cha
 [145] .__srterm__0()       [10] .kickpipes           [78] .std::basic_ios<wch
 [146] .__srterm__0()       [55] .libDesc::getLib()  [174] .std::basic_istream
 [147] .__srterm__0()      [122] .libDesc::get_info( [175] .std::basic_istream
 [148] .__srterm__10()     [123] .libDesc::grow(int) [176] .std::basic_istream
 [149] .__srterm__11()      [16] .loadAndInit        [177] .std::basic_istream
 [150] .__srterm__12()      [32] .load_libs(char*,in [178] .std::basic_istream
 [151] .__srterm__13()       [1] .main               [179] .std::basic_istream
 [152] .__srterm__14()      [22] .malloc_y            [95] .std::basic_ostream
 [153] .__srterm__15()       [7] .memset              [96] .std::basic_ostream
 [154] .__srterm__16()      [23] .mpci_connect        [97] .std::basic_ostream
 [155] .__srterm__5()       [68] .operator new(unsig  [98] .std::basic_ostream
 [156] .__srterm__6()       [54] .operator new(unsig  [99] .std::basic_ostream
 [157] .__srterm__7()       [80] .pthread_atfork     [100] .std::basic_ostream
 [158] .__srterm__8()      [164] .pthread_attr_init  [101] .std::basic_streamb
 [159] .__srterm__9()      [165] .pthread_attr_setde [102] .std::basic_streamb
 [105] ._add_pthread_link  [166] .pthread_attr_setsc [180] .std::basic_string<
 [106] ._alloc_pthread     [167] .pthread_attr_setst [181] .std::ios_base::Ini
  [51] ._cleanup_pop        [53] .pthread_cleanup_po [182] .std::ios_base::Ini
  [50] ._cleanup_push       [52] .pthread_cleanup_pu  [59] .std::ios_base::_Ad
 [160] ._cleanup_unwind    [124] .pthread_cond_broad [183] .std::ios_base::_Ca
 [107] ._cond_broadcast     [64] .pthread_cond_init   [61] .std::ios_base::_In
 [108] ._cond_init          [13] .pthread_getspecifi [184] .std::ios_base::_Ti
 [109] ._get_pthread        [74] .pthread_key_create  [62] .std::ios_base::cle
 [110] ._global_lock_commo  [75] .pthread_mutex_init  [63] .std::ios_base::~io
 [103] ._global_trylock     [69] .pthread_mutex_lock  [56] .std::locale::_Init
 [111] ._kernel_lock_slow   [70] .pthread_mutex_unlo [185] .std::locale::_Loci
 [112] ._kernel_unlock_slo  [14] .pthread_once        [57] .std::locale::id::i
  [43] ._lib_geterrno_addr  [41] .pthread_self        [65] .std::locale::~loca
  [71] ._lib_spinlock_crea [168] .pthread_setcancels  [12] .strcmp            
 [125] ._lib_spinlock_dele [169] .pthread_setscope_n  [24] .strcpy            
 [104] ._lib_spinlock_tryl  [58] .pthread_setspecifi
