###############################################################################
# FILE: mpithreads.makefile
# DESCRIPTION:
#   Makefile for MPI with threads example codes.
#
# SOURCE: Vijay Sonnad, IBM
# LAST REVISED: 9/20/98  Blaise Barney
###############################################################################

all: mpithreads_serial mpithreads_threads mpithreads_mpi mpithreads_both

mpithreads_serial: mpithreads_serial.c
	cc -o mpithreads_serial mpithreads_serial.c 

mpithreads_threads: mpithreads_threads.c
	xlc_r -o mpithreads_threads mpithreads_threads.c

mpithreads_mpi: mpithreads_mpi.c
	mpcc -o mpithreads_mpi mpithreads_mpi.c

mpithreads_both: mpithreads_both.c
	mpcc_r -o mpithreads_both mpithreads_both.c

