void sp_1a (float a[], float b[], int n)
{
    int i;

    #pragma omp parallel shared(a,b,n) private(i)
    {
        #pragma omp for
        for(i = 0; i < n; i++)
            a[i] = 1.0 / a[i] ;

        #pragma omp single
        a[0] = min( a[0], 1.0 ) ;

        #pragma omp for nowait
        for(i = 0; i < n; i++)
            b[i] = b[i] / b[i] ;
    }
}
