##############################################################################
# MPI  Fast Fourier Transform 2-Dimension Example Makefile
# FILE: make.mpi_2dfft.f
# DESCRIPTION:  See mpi_2dfft.f
# USE: make -f make.mpi_2dfft.f 
# AUTHOR: 6/9/96 Blaise Barney
# LAST REVISED: 
##############################################################################

FTN     =   mpxlf
FLAGS   =   
OBJ     =   mpi_2dfft
SRC     =   mpi_2dfft.f ser_fft.o timing_fgettod.o

${OBJ} : ${SRC}
	${FTN} ${FLAGS} ${SRC} -o ${OBJ} 

ser_fft.o: ser_fft.f 
	$(FTN) $(FLAGS) -c ser_fft.f

timing_fgettod.o : timing_fgettod.c
	cc -c timing_fgettod.c
