/*****************************************************************************
* FILE: gettime.c
* DESCRIPTION: Demonstrates use of the gettimeofday function
* LAST REVISED: 01/09/96 Blaise Barney
*****************************************************************************/

#include <stdio.h>
#include <sys/time.h>
#include <time.h>
#define ARRAY_SIZE	1000
#define	SEED		1995

float a[ARRAY_SIZE][ARRAY_SIZE];
float b[ARRAY_SIZE][ARRAY_SIZE];
float c[ARRAY_SIZE][ARRAY_SIZE];
struct timeval start_time, end_time;

main()
{
   int i, j;
   int total_usecs;

   /* First, call gettimeofday() to get start time */
   gettimeofday(&start_time, (struct timeval*)0);

    for(i=0;i<1000;i++)
       for(j=0;j<1000;j++)
          c[i][j] = c[i][j] + a[i][j] * b[i][j];

   /* Now call gettimeofday() to get end time */
   gettimeofday(&end_time, (struct timeval*)0);  /* after time */

   /* Print the execution time */
   total_usecs = (end_time.tv_sec-start_time.tv_sec) * 1000000 +
                 (end_time.tv_usec-start_time.tv_usec);

   printf("Total time was %d uSec.\n", total_usecs);
}
