void barrier_1 (float a[], float b[], int n)
{
    int i, j;
    float div ;

    #pragma omp parallel shared(a,b,n) private(i,j,div) 
    {
	#pragma omp for schedule(dynamic) nowait
            for(i = 0; i < n-1; i++) {
                for(j = 0; j <= i; j++)
                   b[j + n*i] = a[j + n*i] + a[j + n*(i+1)] ;
            }

        if ( b[0] > 100.0 )
             div = 2.0 ;
        else
             div = 4.0 ;

        #pragma omp barrier

	#pragma omp for schedule(guided) nowait
            for(i = 1; i < n; i++) {
                for(j = 0; j <= i; j++)
                   b[j + n*i] = b[j + n*i] / div;
            }
    }
}
