float a[100], b[100] ;
#pragma omp threadprivate(a,b)

void dsq3_b_tc (float c[], int n) {
    int i, j ;
    float x, y ;

    init_a( a, n ) ;
    init_b( b, n ) ;

    #pragma omp parallel for shared(c,n) private(i,j,x,y) copyin(a,b)
    for(i = 0; i < n; i++) {
        for(j = 0; j <= i; j++) {
            a[j] = calc_a(i) ;
            b[j] = calc_b(i) ;
        }
        for(j = 0; j < n ; j++) {
            x = a[i] - b[i] ;
            y = b[i] + a[i] ;
            c[i+n*j] = x * y ;
        }
    }
    printf("x, y = %f, %f \n", x, y) ;
}
