!
!6. PSECTION: Updating a shared scalar
!
!   Identical to example 5 but using different directives.

	subroutine psection_sp_1 (a,b,n)
	   real a(n), b(n)
	

!$omp  parallel
!$omp&     shared       (a,b,n)
!$omp&     private      (i)


!$omp  do

	 do i = 1, n
	   a(i) = 1.0 / a(i)
	 enddo

!$omp  single

	 a(1) = min( a(1), 1.0 )

!$omp  end single


!$omp  do

	 do i = 1, n
	   b(i) = b(i) / a(i)
	 enddo

!$omp  end do nowait


!$omp  end parallel

	end
