!
!7. PARALLEL DO: A simple difference operator
!    
!   Identical to example 1 but using different directives.
!   Always here forces the scheduling to not be overridden
!   at runtime with environment variables.

	subroutine paralleldo_1 (a,b,n)
	   real a(n,n), b(n,n)
	

!$omp  parallel do
!$omp&     shared       (a,b,n)
!$omp&     private      (i,j)
!$omp&     schedule     (dynamic, 1)

	 do i = 2, n
	    do j = 1, i
	       b(j,i) = ( a(j,i) + a(j,i-1) ) / 2
	    enddo
	 enddo
	end
