!
!8. PARALLEL SECTIONS: Two difference operators
!
!   Identical to example 4 but using different directives.

	subroutine psections_1 (a,b,c,d,m,n)
	   real a(n,n), b(n,n), c(m,m), d(m,m)
	

!$omp  parallel sections
!$omp&     shared       (a,b,c,d,m,n)
!$omp&     private      (i,j)


!$omp  section

	 do i = 2, n
	    do j = 1, i
	       b(j,i) = ( a(j,i) + a(j,i-1) ) / 2
	    enddo
	 enddo

!$omp  section

	 do i = 2, m
	    do j = 1, i
	       d(j,i) = ( c(j,i) + c(j,i-1) ) / 2
	    enddo
	 enddo

!$omp  end parallel sections

	end
