      SUBROUTINE GUIDE_TEST ( A, B, C, N )
       REAL A(N,N), B(N,N), C(N,N)
       INTEGER II2, II1
       REAL RR19, RR18, RR17, RR16, RR15, RR14, RR13, RR12, RR11, RR10,
     X   RR9, RR8, RR7, RR6, RR5, RR4, RR3, RR2, RR1

!$omp  PARALLEL
!$omp&     shared       (N,A,C,B)
!$omp&     private      (J,I,II2,II1,RR1,RR2,RR3,RR4,RR5,RR6,RR7,RR8,RR9
!$omp&         ,RR10,RR11,RR12,RR13,RR14,RR15,RR16,RR17,RR18,RR19,K)


!$omp  DO

       DO 4 J=1,N
        DO 4 I=1,N
         A(I,J) = 0.
    4    CONTINUE

!$omp  end do nowait


!$omp  BARRIER

       DO 7 II1=1,N,341
        II2 = MIN (N, II1 + 340)

!$omp  DO

        DO 6 J=1,N
         DO 5 K=1,N-15,16
          RR1 = C(K,J)
          RR2 = C(K+1,J)
          RR3 = C(K+2,J)
          RR4 = C(K+3,J)
          RR5 = C(K+4,J)
          RR6 = C(K+5,J)
          RR7 = C(K+6,J)
          RR8 = C(K+7,J)
          RR9 = C(K+8,J)
          RR10 = C(K+9,J)
          RR11 = C(K+10,J)
          RR12 = C(K+11,J)
          RR13 = C(K+12,J)
          RR14 = C(K+13,J)
          RR15 = C(K+14,J)
          RR16 = C(K+15,J)
          DO 5 I=II1,II2,1
           RR18 = A(I,J) + B(I,K) * RR1
           RR18 = RR18 + B(I,K+1) * RR2
           RR18 = RR18 + B(I,K+2) * RR3
           RR18 = RR18 + B(I,K+3) * RR4
           RR18 = RR18 + B(I,K+4) * RR5
           RR18 = RR18 + B(I,K+5) * RR6
           RR18 = RR18 + B(I,K+6) * RR7
           RR18 = RR18 + B(I,K+7) * RR8
           RR18 = RR18 + B(I,K+8) * RR9
           RR18 = RR18 + B(I,K+9) * RR10
           RR18 = RR18 + B(I,K+10) * RR11
           RR18 = RR18 + B(I,K+11) * RR12
           RR18 = RR18 + B(I,K+12) * RR13
           RR18 = RR18 + B(I,K+13) * RR14
           RR18 = RR18 + B(I,K+14) * RR15
           RR18 = RR18 + B(I,K+15) * RR16
           A(I,J) = RR18
    5      CONTINUE
         DO 6 K=K,N,1
          RR17 = C(K,J)
          DO 6 I=II1,II2,1
           RR19 = A(I,J) + B(I,K) * RR17
           A(I,J) = RR19
    6      CONTINUE

!$omp  end do nowait


!$omp  BARRIER

    7   CONTINUE

!$omp  end parallel

      END
 
      PROGRAM MAIN
       PARAMETER (N = 4)
       REAL A(4,4), B(4,4), C(4,4), D(4,4)
       DATA D/30.0,60.0,90.0,120.0,30.0,60.0,90.0,120.0,30.0,60.0,90.0,
     X   120.0,30.0,60.0,90.0,120.0/
       DO 6 I=1,4
        C(I,1) = I
        B(I,1) = I
        C(I,2) = I
        B(I,2) = I * 2
        C(I,3) = I
        B(I,3) = I * 3
        C(I,4) = I
        B(I,4) = I * 4
    6   CONTINUE
       DO 2 I=1,600
        CALL GUIDE_TEST (A,B,C,4)
    2  CONTINUE
       DO 4 I=1,4
        DO 3 J=1,4
         IF (A(I,J) .EQ. D(I,J)) THEN
         ELSE
          PRINT *, ' ...guide_test.f fails'
          GO TO 5
         END IF
    3    CONTINUE
    4   CONTINUE
      PRINT *, ' ...guide_test.f succeeds'
    5 END
