#include <stdio.h>
#include <stdlib.h>
void guidectest( float a[100][100],float b[100][100],float c[100][100],int n)
{
    int i,j,k;
#pragma omp parallel for private (i,j,k)
    for (i=0; i<n; i++)
    {
       for (j=0; j<n; j++)
       {
          c[i][j] = 0;
          for (k=0; k<n; k++)
              c[i][j] = c[i][j] + a[i][k] * b[k][j];
       }
    }
}

main()
{
    float a[100][100],b[100][100],c[100][100];
    float d[100][100];
    int i,j,k,n;
    n = 4;
   d[0][0] = 10.0;
   d[1][0] = 20.0;
   d[2][0] = 30.0;
   d[3][0] = 40.0;
   d[0][1] = 20.0;
   d[1][1] = 40.0;
   d[2][1] = 60.0;
   d[3][1] = 80.0;
   d[0][2] = 30.0;
   d[1][2] = 60.0;
   d[2][2] = 90.0;
   d[3][2] = 120.0;
   d[0][3] = 40.0;
   d[1][3] = 80.0;
   d[2][3] = 120.0;
   d[3][3] = 160.0;
   for (k=0; k<1000;k++)
   {
      for (i=0; i<n; i++)
      {
          for (j=0; j<n; j++)
          {
	     a[i][j] = i+1;
	     b[i][j] = (j+1) * (i+1);
          }
      }
      (void) guidectest(a,b,c,n);
      for (i=0; i<n; i++)
      {
          for (j=0; j<n; j++)
          {
	      if ( c[i][j] == d[i][j] )
	      { }
	      else
	      {
                 printf ( "...guidectest.c fails\n" );
	         exit(1);
	      }
          }
      }
   }
   printf ( "...guidectest.c succeeds\n" );
   exit(0);
}
