void reduction_1 (float a[], int m, int n, float sum)
{
    int i, j;
    float local_sum;

    #pragma omp parallel shared(a,m,n,sum) private(i,j,local_sum)
    {
        local_sum = 0.0;
        #pragma omp for nowait
        for(i = 0; i < n; i++) {
            for(j = 0; j < m; j++)
                local_sum = local_sum + a[j + i * m];
        }
        #pragma omp critical
        sum = sum + local_sum;
    }
}
