void sections_2 (float a[], float b[], float c[], float d[], int n, int m)
{
    int i, j;

    #pragma omp parallel sections shared(a,b,n) private(i,j)
    {
        #pragma omp section
        for(i = 1; i < n; i++) {
            for(j = 0; j <= i; j++)
               b[j + n*i] = ( a[j + n*i] + a[j + n*(i-1)] ) / 2.0;
        }

        #pragma omp section
        for(i = 1; i < m; i++) {
            for(j = 0; j <= i; j++)
               d[j + m*i] = ( c[j + m*i] + c[j + m*(i-1)] ) / 2.0;
        }
    }
}
